Subject: Re: bug#47300: delete-window to select window with same position

From: martin rudalics <[email-masked]>
Date: Wed, 19 May 2021 19:41:02 +0200

> It's fine to call it with a FRAME argument.  The problem is
 > how to write such a function that will find the window that
 > gets the screen space previously owned by the deleted window.
 > Could you recommend the right direction?  Maybe this window that
 > gets the screen space is just the parent of the deleted window?

No.  You probably have to save the old position of the deleted window's
point in frame coordinates and have the function that selects the new
window use the window that is now at that frame position.  The function
would be called instead of the currently hard-coded

	  mru_window = call1 (Qget_mru_window, frame);

and the call is fairly safe because the frame's first window has been
already selected at that time.

martin